<div class="toolbar">
    <mat-toolbar>
        <span>EternalBlue challenge</span>
        <span class="spacer"></span>
        <button mat-button [matMenuTriggerFor]="languageMenu">
            <mat-icon svgIcon="{{selectedLanguage.key}}"></mat-icon>
            {{selectedLanguage.label}}
        </button>
    </mat-toolbar>
</div>

<mat-menu #languageMenu="matMenu">
    <button mat-menu-item *ngFor="let language of availableLanguages" (click)="setLanguage(language.key)">
        <mat-icon svgIcon="{{language.key}}"></mat-icon>
        <span>{{language.label}}</span>
    </button>
</mat-menu>

<div class="container">
    <div class="login-box">
        <div *ngIf="step == 1">
            <h2 translate>firstStep.title</h2>
            <p translate>firstStep.description</p>
            <form [formGroup]="riddle">
                <input type="text" name="" id="" [hidden]="hideSolution"
                    value="98 108 117 101 98 49 117 101 66 108 117 101">
                <mat-form-field appearance="standard" class="passwordField">
                    <mat-label translate>common.inputLabel</mat-label>
                    <input matInput type="text" formControlName="password">
                </mat-form-field>
                <mat-error *ngIf="!isCorrectAnswer && wasSubmitted" translate>common.errorLabel</mat-error>
            </form>
        </div>

        <div *ngIf="step == 2">
            <h2 translate>secondStep.title</h2>
            <p style="color:green" translate>secondStep.successLabel</p>
            <p translate>secondStep.description</p>
            <img [src]="imagePath" alt="Blue skies image" width="250px">
            <form [formGroup]="riddle">
                <input type="text" name="" id="" [hidden]="hideSolution"
                    value="98 108 117 101 98 49 117 101 66 108 117 101">
                <mat-form-field appearance="standard" class="passwordField">
                    <mat-label translate>common.inputLabel</mat-label>
                    <input matInput type="text" formControlName="password">
                </mat-form-field>
                <mat-error *ngIf="!isCorrectAnswer && wasSubmitted" translate>common.errorLabel</mat-error>
            </form>
        </div>

        <div *ngIf="step == maxSteps">
            <h2 translate>thirdStep.title</h2>
            <p style="color:green" translate>thirdStep.successLabel</p>
            <p translate>thirdStep.description</p>
        </div>
        <br>
        <div *ngIf="step != maxSteps">
            <button mat-raised-button color="primary" (click)="checkAnswer(step)">
                <span translate>common.buttonLabel</span>
            </button>
        </div>
        <div *ngIf="step == maxSteps">
            <button mat-raised-button color="primary" (click)="download()">
                <span translate>common.downloadLabel</span>
            </button>
        </div>
    </div>
</div>
<footer *ngIf="selectedLanguage.key == 'dk'">
    Danish translation provided by DeepL
</footer>